=== tests/egl/CMakeLists.txt ===
piglit_include_target_api()
add_subdirectory(spec)
