=== tests/egl/spec/CMakeLists.txt ===
add_subdirectory (egl-1.4)
add_subdirectory (egl_ext_client_extensions)
add_subdirectory (egl_ext_device_base)
add_subdirectory (egl_ext_device_query)
add_subdirectory (egl_ext_device_enumeration)
add_subdirectory (egl_ext_device_drm)
add_subdirectory (egl_ext_platform_device)
add_subdirectory (egl_ext_image_dma_buf_import_modifiers)
add_subdirectory (egl_ext_protected_content)
add_subdirectory (egl_ext_surface_compression)
add_subdirectory (egl_khr_create_context)
add_subdirectory (egl_khr_display_reference)
add_subdirectory (egl_khr_get_all_proc_addresses)
add_subdirectory (egl_khr_gl_image)
add_subdirectory (egl_khr_fence_sync)
add_subdirectory (egl_khr_surfaceless_context)
add_subdirectory (egl_mesa_device_software)
add_subdirectory (egl_mesa_platform_surfaceless)
add_subdirectory (egl_mesa_query_driver)

if (PIGLIT_HAS_X11)
	add_subdirectory (egl_chromium_sync_control)
endif (PIGLIT_HAS_X11)
