=== tests/spec/glsl-1.20/CMakeLists.txt ===
piglit_include_target_api()

add_subdirectory (recursion)
