=== debian/changelog ===
piglit (0.0~git20250409.af62c0dea-2) unstable; urgency=medium

  * d/patches: Add patch to fix upstream FTBFS 32-bit issue

 -- Jordan Justen <jljusten@debian.org>  Mon, 14 Apr 2025 15:36:14 -0700

piglit (0.0~git20250409.af62c0dea-1) unstable; urgency=medium

  * Update piglit upstream version to af62c0dea
  * d/control: Set Standards-Version to 4.7.2

 -- Jordan Justen <jljusten@debian.org>  Mon, 14 Apr 2025 02:27:01 -0700
