=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
https://gitlab.freedesktop.org/mesa/piglit.git \
HEAD
